package utils

type PointValue interface {
	int | bool | float64 | uint | uint32 | uint64 | string
}

// SetPointValue 给Struct的指针类型成员赋值
func SetPointValue[T PointValue](value T) (field *T) {
	field = new(T)
	*field = value

	return
}
